View Issue Details

IDProjectCategoryView StatusLast Update
14503Bug reports[All Projects] Survey designpublic2019-04-30 09:10
Reporterritapas Assigned Tomarkusfluer  
PrioritylowSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.15.x 
Summary14503: Save button in "Copy survey" panel does not do anything
Description

If you press the "Save" button on top right after having selected a survey to copy and the new title, the fields are blanked out and no survey is created.
I know the right way to copy a survey is by pressing the "Copy survey" in the bottom part of the panel but the interface is confusing.

Additional Information

The "Create survey" panel, on the other hand, has no bottom button but only the "Save" button on top right,
Our version is 3.15.5+181115

TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Relationships

related to 13874 assignedmarkusfluer Save button non-functional on Import, Copy Survey tabs 

Activities

ritapas

ritapas

2019-02-08 11:16

reporter  

LS_CopySurvey.PNG (42,145 bytes)
LS_CopySurvey.PNG (42,145 bytes)
DenisChenu

DenisChenu

2019-02-09 17:08

developer   ~50482

This not don't do anything … it worse : it delete all value and come back to page …

And when you try to copy a survey in 100 survey's list …

jelo

jelo

2019-02-11 12:46

partner   ~50491

Denis: What values? (Quote: "it delete all value and come back to page" )?

cdorin

cdorin

2019-02-11 13:29

manager   ~50494

Regardless of what the save and close button do, those two buttons should not be located there since the user needs to click on the Copy survey button.

@markusfluer, I think this one is for you.

jelo

jelo

2019-02-11 13:47

partner   ~50497

@cdorin: That is correct, but the case since years ;-)
When I read values I thought the survey, which is selected would lost values.
But values seems to mean the settings on the page.

The developers need a break. No new features for at least 3 months and a fix-only phase to align everything.

DenisChenu

DenisChenu

2019-02-11 15:27

developer   ~50500

@jelo : select a survey, put some string for new name and click ion the big blue button : form is empty …

I do it a lot … and it's grrrrr

Issue History

Date Modified Username Field Change
2019-02-08 11:16 ritapas New Issue
2019-02-08 11:16 ritapas File Added: LS_CopySurvey.PNG
2019-02-09 17:08 DenisChenu Note Added: 50482
2019-02-09 17:08 DenisChenu Project Feature requests => Bug reports
2019-02-11 12:46 jelo Note Added: 50491
2019-02-11 13:29 cdorin Note Added: 50494
2019-02-11 13:29 cdorin Assigned To => markusfluer
2019-02-11 13:29 cdorin Priority none => low
2019-02-11 13:29 cdorin Status new => assigned
2019-02-11 13:29 cdorin Description Updated View Revisions
2019-02-11 13:29 cdorin Additional Information Updated View Revisions
2019-02-11 13:47 jelo Note Added: 50497
2019-02-11 15:27 DenisChenu Note Added: 50500
2019-02-11 18:36 markusfluer Status assigned => resolved
2019-02-11 18:36 markusfluer Resolution open => fixed
2019-02-11 18:36 markusfluer Fixed in Version => 3.15.x
2019-02-12 15:30 cdorin Relationship added related to 13874
2019-04-30 09:10 c_schmitz Status resolved => closed